using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a squirrel corpse" )]
	public class Squirrel : BaseCreature
	{
		[Constructable]
		public Squirrel() : base( AIType.AI_Timid, FightMode.Aggressor, 10, 1, 0.2, 0.4 )
		{
			Name = "a squirrel";
			Body = 229;

			SetStr( 6, 10 );
			SetDex( 26, 38 );
			SetInt( 6, 14 );

			SetHits( 4, 6 );
			SetMana( 0 );

			SetDamage( 1 );

			SetSkill( SkillName.MagicResist, 5.0 );
			SetSkill( SkillName.Tactics, 5.0 );
			SetSkill( SkillName.HandToHand, 5.0 );

			Fame = 0;
			Karma = 0;

			VirtualArmor = 6;
		}

		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 1; } }

		public override int GetAngerSound(){ return 0x0C9; }
		public override int GetIdleSound(){ return 0x0C9; }
		public override int GetAttackSound(){ return 0x0CA; }
		public override int GetHurtSound(){ return 0x0CA; }
		public override int GetDeathSound(){ return 0x0CB; }

		public Squirrel(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);
			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);
			int version = reader.ReadInt();
		}
	}
}